# Version  0.1.0rc2

#### New Features

* [#149](https://github.com/pykale/pykale/pull/149): Add digits notebook with Binder and Colab
* [#151](https://github.com/pykale/pykale/pull/151): Add class subset selection
* [#159](https://github.com/pykale/pykale/pull/159): Add interpret module

#### Code Improvements

* [#132](https://github.com/pykale/pykale/pull/132): Create file download module
* [#138](https://github.com/pykale/pykale/pull/138): Change action_domain_adapter.py to video_domain_adapter.py
* [#144](https://github.com/pykale/pykale/pull/144): Move gait data to pykale/data
* [#157](https://github.com/pykale/pykale/pull/157): Add concord_index calculation into DeepDTA

#### Tests

* [#127](https://github.com/pykale/pykale/pull/127): Add video_access tests
* [#134](https://github.com/pykale/pykale/pull/134): Add tests for image and video CNNs
* [#136](https://github.com/pykale/pykale/pull/136): Add tests for domain adapter
* [#137](https://github.com/pykale/pykale/pull/137): Add tests for csv logger
* [#139](https://github.com/pykale/pykale/pull/139): Add tests for isonet
* [#145](https://github.com/pykale/pykale/pull/145): Add tests for video domain adapter
* [#150](https://github.com/pykale/pykale/pull/150): Add tests for gripnet
* [#156](https://github.com/pykale/pykale/pull/156): Remove empty tests and MNIST test

#### Documentation Updates

* [#133](https://github.com/pykale/pykale/pull/133): Add quote from Kevin@facebook
* [#143](https://github.com/pykale/pykale/pull/143): Add "new feature" group
* [#160](https://github.com/pykale/pykale/pull/160): Update docs w.r.t. CIKM submission

# Version  0.1.0rc1

**Important**: Rename `master` to `main`.

#### Code Improvements

* [#92](https://github.com/pykale/pykale/pull/92): Update action domain adaptation pipeline and modules (big PR)
* [#123](https://github.com/pykale/pykale/pull/123): Merge prep_cmr with image_transform plus tests

#### Tests

* [#104](https://github.com/pykale/pykale/pull/104): Test attention_cnn
* [#107](https://github.com/pykale/pykale/pull/107): Do only CI test multiple python versions on Linux
* [#122](https://github.com/pykale/pykale/pull/122): Test deep_dta

#### Documentation Updates

* [#106](https://github.com/pykale/pykale/pull/106): Update the readmes of docs, examples, and tests
* [#120](https://github.com/pykale/pykale/pull/120): Update PR for changelog, cherry pick, and test re-run tip
* [#121](https://github.com/pykale/pykale/pull/121): Update new logos
* [#125](https://github.com/pykale/pykale/pull/125): Update documentation, esp. guidance on how to use pykale

# Version  0.1.0b3

#### Code Improvements

* [#84](https://github.com/pykale/pykale/pull/84): Auto assign to the default project
* [#91](https://github.com/pykale/pykale/pull/91): MPCA pipeline
* [#93](https://github.com/pykale/pykale/pull/93): Fix black config and rerun
* [#97](https://github.com/pykale/pykale/pull/97): Add changelog CI and update logo

#### Dependencies

* [#82](https://github.com/pykale/pykale/pull/82): Remove requirements in examples and update setup

#### Tests

* [#70](https://github.com/pykale/pykale/pull/70): Add tests for utils.print
* [#80](https://github.com/pykale/pykale/pull/80): Extend automated test matrix and rename lint
* [#85](https://github.com/pykale/pykale/pull/85): Test utils logger
* [#87](https://github.com/pykale/pykale/pull/87): Test cifar/digit_access and downgrade black
* [#90](https://github.com/pykale/pykale/pull/90): Test mpca
* [#94](https://github.com/pykale/pykale/pull/94): Update test guidelines

#### Documentation Updates

* [#81](https://github.com/pykale/pykale/pull/81): Docs update version and installation
* [#88](https://github.com/pykale/pykale/pull/88): Automatically sort documented members by source order
* [#89](https://github.com/pykale/pykale/pull/89): Disable automatic docstring inheritance from parent class


# Changelog

This changelog is updated for each new release.
